var setDirectory = "images/docset1/"; // current documentset directory, include trailing slash
var fileTypes    = "jpg"; // your image(s) filetype, usually jpg or png
var lastDocNum   = 4;    // the very last document number in the set
var fileDigits   = 2;   // total number of filename digits ex: 01, 001, 0001 

/**
 * Source: http://stackoverflow.com/a/6466217/477958 
 */
function addLeadingZeros (n, length) {
  var str = (n > 0 ? n : -n) + "";
  var zeros = "";
  
  for (var i = length - str.length; i > 0; i--)
    zeros += "0";

  zeros += str;
  zeros += '.'+fileTypes;
  return n >= 0 ? zeros : "-" + zeros;
}


/* begin jQuery */
$(function(){
  var docimage  = $('#documentcontainer > img');
  
  $(docimage).on('click', function(e){
    e.preventDefault();
    
    var currentid = $(this).attr('data-page');
    var newimgid  = parseInt(currentid)+1;
    var newimgsrc = setDirectory;
    
    if(currentid == lastDocNum) {
      // if viewing the last page then do nothing
      return false;
    }
    
    newimgsrc += addLeadingZeros(newimgid, fileDigits);
    
    $(this).attr('data-page', newimgid);
    $(this).attr('src', newimgsrc);
  }); // event handler for clicking doc image
  
  
  $('#controls > #forwardpage, #controls > #backpage').on('click', function(e){
    e.preventDefault();  
    
    var currentid = $(docimage).attr('data-page');
    var newimgsrc = setDirectory;
    
    if($(this).attr('id') == 'backpage') 
      var newimgid = parseInt(currentid)-1;
    else if($(this).attr('id') == 'forwardpage')
      var newimgid = parseInt(currentid)+1;
      
    if(currentid == lastDocNum && $(this).attr('id') == 'forwardpage') {
      // if viewing the last page then no more forward links
      return false;
    }
    if(currentid == 1 && $(this).attr('id') == 'backpage') {
      // if viewing the first page then no going backwards
      return false;
    }
    
    newimgsrc += addLeadingZeros(newimgid, fileDigits);
    
    $(docimage).attr('data-page', newimgid);
    $(docimage).attr('src', newimgsrc);
  }); // event handler for clicking arrow links
});